GET
/strings/{code}/accountsList accounts across all member ledgers of a string
List every account across all member ledgers of the string (cursor-paginated).
Parameters
| Name | In | Type | Description |
|---|---|---|---|
coderequired | path | string | String code (unique within the tenant) |
limit | query | integer default: 25 · max: 100 | Number of items per page (max 100) |
cursor | query | string | Cursor for pagination |
Responses
200Successful operation
{
"success": true,
"meta": {
"pagination": {
"limit": 25,
"has_more": true,
"next_cursor": "eyJpZCI6IjAxOWRjZjg3LTUwN2ItNzE5OS05ZTE1LWZhY2YxNjVlNzRjMSJ9"
}
},
"data": [
{
"id": "01997c1e-4d2a-7c3e-9a1b-2f0e8c6d4b5a",
"ledger_id": "01997c1e-4d2a-7c3e-9a1b-2f0e8c6d4b5a",
"ledger_code": "gbp-main",
"currency": "GBP",
"code": "1000",
"name": "Cash",
"type": "asset",
"category": "customer",
"normal_balance": "debit",
"is_active": true,
"materialized": false
}
]
} 401Unauthenticated
{
"success": false,
"message": "Validation failed",
"code": "VALIDATION_ERROR"
} 403Forbidden
{
"success": false,
"message": "Validation failed",
"code": "VALIDATION_ERROR"
} 404String not found or the key's ledger is not a member
{
"success": false,
"message": "Validation failed",
"code": "VALIDATION_ERROR"
} Examples
curl https://ledga.io/api/v1/strings/{code}/accounts \
-H "Authorization: Bearer sk_xxxxxxxx_your_secret"